Package org.apache.wiki.render

## Class CustomXMLOutputProcessor

- java.lang.Object
- - org.jdom2.output.support.AbstractOutputProcessor
  - - org.jdom2.output.support.AbstractXMLOutputProcessor
    - - org.apache.wiki.render.CustomXMLOutputProcessor

All Implemented Interfaces:
  `org.jdom2.output.support.XMLOutputProcessor`

    public class CustomXMLOutputProcessor
    extends org.jdom2.output.support.AbstractXMLOutputProcessor

Override added to ensure attribute values including ampersands and quotes still get escaped even if disable-output-escaping processing instruction (meant to keep rest of HTML string as-is) set.

Since:
  2.10

### Field Summary

### Fields inherited from class org.jdom2.output.support.AbstractXMLOutputProcessor

`CDATAPOST, CDATAPRE`

### Constructor Summary

Constructors
`CustomXMLOutputProcessor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `attributeEscapedEntitiesFilter​(java.io.Writer out, org.jdom2.output.support.FormatStack fstack, java.lang.String value)`

### Methods inherited from class org.jdom2.output.support.AbstractXMLOutputProcessor

`printAttribute, printCDATA, printComment, printContent, printDeclaration, printDocType, printDocument, printElement, printEntityRef, printNamespace, printProcessingInstruction, printText, process, process, process, process, process, process, process, process, process, textCDATA, textEntityRef, textRaw, textRaw, write, write`

### Methods inherited from class org.jdom2.output.support.AbstractOutputProcessor

`buildWalker`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomXMLOutputProcessor

    public CustomXMLOutputProcessor()

### Method Detail

#### attributeEscapedEntitiesFilter

    protected void attributeEscapedEntitiesFilter​(java.io.Writer out,
                                                  org.jdom2.output.support.FormatStack fstack,
                                                  java.lang.String value)
                                           throws java.io.IOException

Overrides:
  `attributeEscapedEntitiesFilter` in class `org.jdom2.output.support.AbstractXMLOutputProcessor`
Throws:
  `java.io.IOException`